# -------------------------------------- Triggers -------------------------------------- #

execute as @a if score @s Telekinesis matches 1 run function qol:triggers/telekinesis
execute as @a if score @s Replanting matches 1 run function qol:triggers/replanting
execute as @a if score @s Deforestation matches 1 run function qol:triggers/deforestation
execute as @a if score @s Health matches 1 run function qol:triggers/health
execute as @a if score @s Coords matches 1 run function qol:triggers/coords
execute as @a if score @s DynamicLight matches 1 run function qol:triggers/light
execute as @a if score @s Chair matches 1 run function qol:triggers/chair
execute as @a if score @s InvisibleFrame matches 1 run function qol:triggers/frame
execute as @a if score @s Direction matches 1 run function qol:triggers/direction
execute as @a if score @s DeathInfo matches 1 run function qol:triggers/death

# --------------------------------------- Modules -------------------------------------- #

## Farming
execute as @a[predicate=qol:is_hoe, scores={Wheat=1..}] at @s run function qol:farming/wheat
execute as @a[predicate=qol:is_hoe, scores={Carrot=1..}] at @s run function qol:farming/carrot
execute as @a[predicate=qol:is_hoe, scores={Potato=1..}] at @s run function qol:farming/potato
execute as @a[predicate=qol:is_hoe, scores={Beetroot=1..}] at @s run function qol:farming/beetroot

## Foraging
execute as @a[predicate=qol:is_axe, scores={Oak=1..}] at @s run function qol:foraging/oak
execute as @a[predicate=qol:is_axe, scores={Spruce=1..}] at @s run function qol:foraging/spruce
execute as @a[predicate=qol:is_axe, scores={Birch=1..}] at @s run function qol:foraging/birch
execute as @a[predicate=qol:is_axe, scores={Jungle=1..}] at @s run function qol:foraging/jungle
execute as @a[predicate=qol:is_axe, scores={Acacia=1..}] at @s run function qol:foraging/acacia
execute as @a[predicate=qol:is_axe, scores={DarkOak=1..}] at @s run function qol:foraging/dark_oak
execute as @a[predicate=qol:is_axe, scores={Cherry=1..}] at @s run function qol:foraging/cherry
execute as @a[predicate=qol:is_axe, scores={Mangrove=1..}] at @s run function qol:foraging/mangrove

## Mining

# -------------------------------------- Mechanics ------------------------------------- #

execute if score #Settings Coords matches 1 unless score #Settings Direction matches 1 as @a run function qol:mechanics/coords
execute if score #Settings Direction matches 1 unless score #Settings Coords matches 1 as @a run function qol:mechanics/direction
execute if score #Settings Direction matches 1 if score #Settings Coords matches 1 as @a run function qol:mechanics/coords_direction
execute if score #Settings DynamicLight matches 1 as @a at @s run function qol:mechanics/light
execute if score #Settings Chair matches 1 as @a at @s run function qol:mechanics/chair
execute if score #Settings DeathInfo matches 1.. as @a if score @s P.Deaths matches 1.. run function qol:mechanics/death


# ---------------------------------- Better Game Logic  -------------------------------- #

execute as @e[type=enderman] at @s if block ~ ~ ~ lava_cauldron run damage @s 1
execute as @e[type=enderman] at @s if block ~ ~ ~ water_cauldron run damage @s 1